stash-connector
Version:
Module to handle and work with Atlassian Stash projects and repositories throug REST API. Admin your repositories and projects in Stash easy. This project is not an Atlassian official project but use the Atlassian Stash REST API
95 lines • 5.22 kB
JavaScript
;
var __extends = (this && this.__extends) || (function () {
var extendStatics = function (d, b) {
extendStatics = Object.setPrototypeOf ||
({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
return extendStatics(d, b);
};
return function (d, b) {
extendStatics(d, b);
function __() { this.constructor = d; }
d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
})();
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
return new (P || (P = Promise))(function (resolve, reject) {
function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
step((generator = generator.apply(thisArg, _arguments || [])).next());
});
};
var __generator = (this && this.__generator) || function (thisArg, body) {
var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
function verb(n) { return function (v) { return step([n, v]); }; }
function step(op) {
if (f) throw new TypeError("Generator is already executing.");
while (_) try {
if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
if (y = 0, t) op = [op[0] & 2, t.value];
switch (op[0]) {
case 0: case 1: t = op; break;
case 4: _.label++; return { value: op[1], done: false };
case 5: _.label++; y = op[1]; op = [0]; continue;
case 7: op = _.ops.pop(); _.trys.pop(); continue;
default:
if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
if (t[2]) _.ops.pop();
_.trys.pop(); continue;
}
op = body.call(thisArg, _);
} catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
}
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReposEndpoint = void 0;
var types_1 = require("../types");
/**
* Class to manage and expose all endpoits and operations below '/rest/api/1.0/repos/*'
*/
var ReposEndpoint = /** @class */ (function (_super) {
__extends(ReposEndpoint, _super);
function ReposEndpoint(auth) {
return _super.call(this, auth, '/repos') || this;
}
/**
* Retrieve a page of repositories based on query parameters that control the search. See the documentation of the parameters for more details
* @param {ReposOptions} [reposOptions] Options to list repositories including the paginations options. - pageOptions: Page options to paginate results (or obtain more results per page)
* @returns {Promise<Page<Repository>>} Promise with the requested page data
*/
ReposEndpoint.prototype.list = function (reposOptions) {
return __awaiter(this, void 0, void 0, function () {
var request, result, error_1;
return __generator(this, function (_a) {
switch (_a.label) {
case 0:
request = this.doGet({
pageOptions: reposOptions === null || reposOptions === void 0 ? void 0 : reposOptions.pageOptions
});
_a.label = 1;
case 1:
_a.trys.push([1, 3, , 4]);
this.processOptions(request, reposOptions);
return [4 /*yield*/, request.execute()];
case 2:
result = _a.sent();
return [2 /*return*/, result.data];
case 3:
error_1 = _a.sent();
throw error_1;
case 4: return [2 /*return*/];
}
});
});
};
return ReposEndpoint;
}(types_1.EndpointService));
exports.ReposEndpoint = ReposEndpoint;
//# sourceMappingURL=repos.js.map